@charset "utf-8";

html {
    scroll-behavior: smooth;
}

#basic_feature,
#plan_area,
#maintenance_support,
#release_flow,
#achievements_area,
#question_area {
    scroll-margin-top: 130px;
}


.header_mochi {
    width: 4.9rem;
    height: auto;
    object-fit: contain;
    margin-right: 1rem;
}

.nav_area {
    display: flex;
    padding: 2.5rem;
    justify-content: space-between;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 9999;
}

.header_logo {
    width: 40rem;
    height: auto;
    object-fit: contain;
}

.nav_menu {
    display: flex;
    gap: 1.7rem;
    align-items: center;

}

.nav_link {
    font-size: clamp(16px, 1.8rem, 18px);
    font-family: var(--NotoSans);
}

.nav_link:hover {
    color: #FA8A1E;
}

.orange_link {
    background-color: #FA8A1E;
    padding: 0.8rem 2.5rem;
    color: var(--white);
    border-radius: 1rem;
}

.orange_link:hover {
    color: var(--white);
}

.header_back {
    background-image: url(../img/header_back_fukuoka02.png);
    width: 100%;
    height: 45rem;
    max-height: 450px;
    background-size: contain;
    position: relative;
    overflow:hidden;
    background-repeat:repeat-x;
    background-color:#e2f0f2;
}

.header_car02 {
    width: 21.2rem;
    max-width: 212px;
    object-fit: contain;
    left: 9.3rem;
    position: absolute;
    height: auto;
    bottom: 1.9rem;
}

.header_car03 {

    width: 12.9rem;
    max-width: 129px;
    object-fit: contain;
    position: absolute;
    height: auto;
    bottom: 2.1rem;
    left: 43rem;
}

.header_car04 {
    width: 18.4rem;
    max-width: 184px;
    object-fit: contain;
    position: absolute;
    height: auto;
    bottom: 1.2rem;
    right: 15rem;
}

.header_car05 {
    width: 7rem;
    max-width: 70px;
    object-fit: contain;
    position: absolute;
    height: auto;
    bottom: min(4.2rem, 42px) ;
    right: 5.5rem;
}

.chat01 {
    position: absolute;
    width: 20rem;
    max-width: 200px;
    object-fit: contain;
    left: 3rem;
    height: auto;
    top: 20%;
    opacity: 0;
    transition: .3s;
}

.header_car02:hover+.chat01 {
    opacity: 1;
}


.chat02 {
    position: absolute;
    width: 20rem;
    max-width: 200px;
    object-fit: contain;
    left: 29rem;
    height: auto;
    top: 50%;
    opacity: 0;
    transition: .3s;
}

.header_car03:hover+.chat02 {
    opacity: 1;
}


.chat03 {
    position: absolute;
    width: 20rem;
    max-width: 200px;
    object-fit: contain;
    right: 22rem;
    height: auto;
    top: 35%;
    opacity: 0;
    transition: .3s;
}

.header_car04:hover+.chat03 {
    opacity: 1;
}


.nav_area {
    display: flex;
}

.sp_header {
    display: none;
}




/* 雲の動き */
.cloud_slider {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.cloud_track {
    display: flex;
    width: max-content;
    gap: 13rem;
}

.cloud_track img {
    width: 120px;
    flex-shrink: 0;
}

.cloud_track {
    animation: cloudFlow 120s steps(80) infinite;
}

.cloud_track img:nth-child(4n+1) {
    transform: translateY(-20px);
    margin-top: 2rem;
}

.cloud_track img:nth-child(4n+2) {
    transform: translateY(30px);
}

.cloud_track img:nth-child(4n+3) {
    transform: translateY(10px);
    margin-top: 6rem;
}

.cloud_track img:nth-child(4n+4) {
    transform: translateY(-40px);
}

@keyframes cloudFlow {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

@media screen and (max-width: 699.98px) {
    .nav_area {
        display: none;
    }

    .sp_header {
        display: flex;
        position: fixed;
        top: 0;
        justify-content: space-between;
        align-items: center;
        z-index: 999;
        width: 100%;
        margin-top: 1rem;
        padding: 0 1rem;
    }

    .header {
        position: relative;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .hamburger {
        width: 50px;
        height: 50px;
        background: none;
        border: none;
        cursor: pointer;
        z-index: 1001;
        background-color: #FA8A1E;
        border-radius: 1rem;
        padding: 0;
        overflow: hidden;
    }

    .hamburger span {
        display: block;
        width: 3.0rem;
        height: 2px;
        background: var(--white);
        margin: 7px auto;
        transition: .3s;

    }

    .sp_nav {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        height: 100vh;
        background: #C2E9E7;
        transition: .4s;
        z-index: 1000;
        padding-top: 100px;
    }

    .sp_nav.active {
        right: 0;
    }

    .hamburger.active span:nth-child(1) {
        transform: rotate(45deg) translate(6px, 6px);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg) translate(7px, -7px);
    }

    .header_logo {
        width: 22rem;
    }

    .header_mochi {
        width: 2.6rem;
        height: 2.5rem;
    }

    .header_back {
        height: 15rem;
        overflow: hidden;
        background-position:bottom;
        background-color:#C2E9E7;
    }

    .header_car02 {
        width: 7rem;
        height: 9.6rem;
        left: 3.6rem;
        bottom:0.8rem;
    }

    .header_car03 {
        width: 4.2rem;
        height: 3.9rem;
        left: 13.6rem;
        bottom:0.8rem;
    }

    .header_car04 {
        width: 6rem;
        height: 5.4rem;
        left: 21rem;
        bottom:0.8rem;
    }

    .header_car05 {
        width: 3rem;
        height: 2.5rem;
        left: 29rem;
        bottom:1rem;
    }

    .chat03 {
        width: 10rem;
        right: 11rem;
    }

    .chat02 {
        width: 10rem;
        right: auto;
        left: 6rem;
        top: 34%;
    }

    .chat01 {
        width: 10rem;
        right: auto;
        left: 0rem;
        top: 30%;
    }



    .sp_header>h1 {
        z-index: 9999;
        position: relative;
    }

    .sp_nav>ul {
        background-color: var(--white);
        width: 33.5rem;
        max-width: 335px;
        margin: 0 auto;
        position: relative;
        margin-bottom: 5.1rem;
        width: 33.5rem;
        padding: 3rem 2rem 5rem;
        border-left: solid .2rem var(--blue);
        border-right: solid .2rem var(--blue);
        z-index: 1;
    }


    .sp_nav>ul::after {
        content: "";
        background-image: url(../img/border_dot.png);
        background-repeat: no-repeat;
        position: absolute;
        top: -.5rem;
        left: 0;
        width: 100%;
        height: 2.1rem;
        background-size: contain;
    }

    .sp_nav>ul::before {
        content: "";
        background-image: url(../img/border_dot.png);
        background-repeat: no-repeat;
        position: absolute;
        bottom: -.5rem;
        left: 0;
        width: 100%;
        height: 2.1rem;
        background-size: contain;
        transform: rotateX(180deg);
    }

    .header_triangle {
        clip-path: polygon(0 0, 0 100%, 100% 50%);
        width: 2rem;
        height: 2rem;
        display: block;
        background-color: var(--blue);
        margin-right: .5rem;
    }

    .sp_nev_menu {
        display: flex;
        font-size: 1.6rem;
        font-family: var(--NotoSans);
        font-weight: 500;
        margin-bottom: 1rem;
        align-items: center;
        color: var(--blue);
    }

    .sp_nav_time {
        font-size: 1.6rem;
        color: var(--blue);
        font-family: var(--Dot);

    }

    .sp_nav_time:first-child {
        margin-top: 3rem;

    }

    .sp_nav_time:last-child {
        margin-bottom: 1.5rem;
    }

    .header_sns_logo {
        width: 4.5rem;
        height: 4.5rem;
        object-fit: contain;
        margin-right: 2.5rem;
    }

    .header_sns_icon {
        display: flex;
    }

    .sp_header_bottom_container {
        position: absolute;
        bottom: 0;
        z-index: 0;
    }

    .sp_header_bottom {
        width: 100%;
        height: 13.1rem;
    }

    .sp_header_cloud {
        width: 100%;
        height: auto;
        object-fit: contain;
        bottom: 13rem;
    }

    .sp_header_car02 {
        width: 6.9rem;
        height: 9.6rem;
        position: absolute;
        left: 2.5rem;
        bottom: 0.8rem;
    }

    .sp_header_car03 {
        width: 4.2rem;
        height: 3.9rem;
        position: absolute;
        left: 13.6rem;
        bottom: 0.8rem;
    }

    .sp_header_car04 {
        width: 6rem;
        height: 5.5rem;
        position: absolute;
        left: 21.1rem;
        bottom: 0.8rem;
    }

    .sp_header_car05 {
        width: 3rem;
        height: 2.5rem;
        position: absolute;
        left: 28.9rem;
        bottom: 1rem;
    }

    .cloud_track {
        gap: 6rem;
    }

    .cloud_track img {
        width: 60px;
    }

    .cloud_track img:nth-child(4n+1) {
        transform: translateY(-10px);
        margin-top: 1rem;
    }

    .cloud_track img:nth-child(4n+2) {
        transform: translateY(15px);
    }

    .cloud_track img:nth-child(4n+3) {
        transform: translateY(5px);
        margin-top: 3rem;
    }

    .cloud_track img:nth-child(4n+4) {
        transform: translateY(-20px);
    }

}